Cancel Invoice
Cancel a specific invoice by its UUID. Only invoices with status VALID or PENDING_REJECTION can be cancelled within 72 hours.
Path Parameters
- Type: stringuuidrequired
Body·
required
application/json
V1 cancel invoice request body. Same as V2.
- Type: stringreasonrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/invoices/{uuid}/cancel
curl '/api/invoices/{uuid}/cancel' \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"reason": ""
}'
{
"data": {
"cancel_reason": "Customer requested cancellation",
"cancelled_at": "2023-01-01 12:00:00",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
},
"message": "Invoice Cancellation Success.",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"status": "success"
}